import { html } from '@microsoft/fast-element';
import { progressTag, providerTag, routerTag } from '../tags';
/**
 * @public
 */
export const template = html `
  <${providerTag} data-test-id="auth-provider" class="${(x) => x.classNames}">
    ${(x) => x.template()}
    <slot></slot>
  </${providerTag}>
`;
/**
 * @public
 */
export const routerTemplate = html `
  <${routerTag} :config=${(x) => x.config} data-test-id="auth-router"></${routerTag}>
`;
/**
 * @public
 */
export const loadingTemplate = html `
  <${progressTag}></${progressTag}>
`;
